Name:           perl-Inline-Module
Version:        0.34
Release:        4%{?dist}
Summary:        Support for Inline-based CPAN extension modules
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Inline-Module/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Inline-Module-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
# Unused BuildRequires:  perl(Data::Dumper)
# Unused BuildRequires:  perl(ExtUtils::CppGuess)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
# Unused BuildRequires:  perl(File::Share)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Inline)
BuildRequires:  perl(Inline::C::Parser::RegExp)
BuildRequires:  perl(XXX)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(File::Share)
Requires:       perl(Inline)
Requires:       perl(Inline::C::Parser::RegExp)

%description
This module provides support and documentation for creating and maintaining
CPAN extension modules. i.e. writing XS modules without having to learn XS.

%prep
%setup -q -n Inline-Module-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.34-2
- Perl 5.22 rebuild

* Wed Feb 18 2015 Petr Šabata <contyk@redhat.com> - 0.34-1
- 0.34 bump

* Thu Jan 08 2015 Petr Šabata <contyk@redhat.com> - 0.33-1
- 0.33 bump, APIv2

* Mon Dec 08 2014 Petr Šabata <contyk@redhat.com> - 0.18-1
- 0.18 bump

* Fri Dec 05 2014 Petr Šabata <contyk@redhat.com> 0.17-1
- Initial packaging
